Bug 846133 - Review Request: python-webob1.2 - WSGI request and response object
Review Request: python-webob1.2 - WSGI request and response object
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Toshio Ernie Kuratomi
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 956431
  Show dependency treegraph
 
Reported: 2012-08-06 19:10 EDT by Ralph Bean
Modified: 2013-04-25 11:44 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-06 13:50:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
a.badger: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Ralph Bean 2012-08-06 19:10:37 EDT
Spec URL: http://threebean.org/rpm/python-webob1.2.spec
SRPM URL: http://threebean.org/rpm/python-webob1.2-1.2.1-1.fc17.src.rpm
Description: 
WebOb provides wrappers around the WSGI request environment, and an object to
help create WSGI responses. The objects map much of the specified behavior of
HTTP, including header parsing and accessors for other standard parts of the
environment.

Fedora Account System Username: ralph

koji el6 - http://koji.fedoraproject.org/koji/taskinfo?taskID=4364853
koji f17 - http://koji.fedoraproject.org/koji/taskinfo?taskID=4364855

rpmlint output
--- ~/rpmbuild ยป rpmlint {SPECS,SRPMS}/python-webob1.2*
python-webob1.2.src: W: spelling-error %description -l en_US accessors -> accessory, accessorizes, accessorize
1 packages and 1 specfiles checked; 0 errors, 1 warnings.


note: This is a forward-compat package for python-webob.  We're going to need it in both Fedora and EPEL for the latest python-pyramid stack and we can't just update the existing python-webob due to TurboGears2 dependencies.
Comment 1 Ralph Bean 2012-08-06 19:20:03 EDT
Updated spec and srpm.  Added missing changelog entry and fixed typo with python-setuptools buildrequires.

Spec URL: http://threebean.org/rpm/python-webob1.2.spec
SRPM URL: http://threebean.org/rpm/python-webob1.2-1.2.1-2.fc17.src.rpm
Comment 2 Ralph Bean 2012-08-06 19:51:36 EDT
Another update, includes:
- Removed unreferenced %%global pypiname.
- Changed %%check invocation from "nosetests" to "python setup.py test"
- Added python3 support.

Spec URL: http://threebean.org/rpm/python-webob1.2.spec
SRPM URL: http://threebean.org/rpm/python-webob1.2-1.2.1-3.fc17.src.rpm

koji f17 - http://koji.fedoraproject.org/koji/taskinfo?taskID=4365010
koji el6 - http://koji.fedoraproject.org/koji/taskinfo?taskID=4365011
Comment 3 Ralph Bean 2012-08-06 20:06:10 EDT
Once more, with feeling:
- Modernized the with_python3 conditional.
- Updated README.Fedora from 1.0.x to 1.2.1.

Spec URL: http://threebean.org/rpm/python-webob1.2.spec
SRPM URL: http://threebean.org/rpm/python-webob1.2-1.2.1-4.fc17.src.rpm
Comment 4 Toshio Ernie Kuratomi 2012-08-06 20:27:29 EDT
APPROVED

45bd466b0a67acd168d67ea43482264c71f126d8ebe879041da674df79322610  WebOb-1.2.1.zip

Good:
* Naming follows the naming guidelines
* License is MIT in source and spec.
* No license file is present in the source
* Spec file is legible
* Source matches upstream
* No locale files
* Not an ELF shared library
* No bundled libraries
* Not relocatable
* Package owns all directories it creates
* Permissions set properly
* Macros used consistently
* Code, not content
* No large doc
* Things in %doc do not affect package runtime
* Not a GUI app
* Does not own files owned by other packages
* All filenames valid utf-8
* Builds in koji for f17 and el6.  Does not build for f18 but this is not
  intended for f18/rawhide.

= Cosmetic =
* It's just a matter of style but when including a directory in the %files
  sections, it's good to add a trailing "/".  That way future maintainers know
  that you intentionally matched a directory there.

= rpmlint =
$ rpmlint *rpm *.spec                                         (17:15:17):2959
python3-webob1.2.noarch: W: spelling-error %description -l en_US accessors -> accessory, accessorizes, accessorize
python-webob1.2.noarch: W: spelling-error %description -l en_US accessors -> accessory, accessorizes, accessorize
python-webob1.2.src: W: spelling-error %description -l en_US accessors -> accessory, accessorizes, accessorize
3 packages and 1 specfiles checked; 0 errors, 3 warnings.

We actually mean accessors here so this is a false positive.

= Notes =
* You should open a ticket with the webob upstream to include a license file.
  It's possible the webob package maintainer has already done this so search
  upstreanm's issue tracker to see.
* In F18+ We probably want to bump the main python-webob package to latest and
  ship a python-webob1.1 (or python-webob1.0) backwards compat package for TG2
  to use.  This package is fine for EPEL5/6 and F17 or less though (since it is
  an API change so we shouldn't be bumping the main python-webob package on nay
  of those.)
* Since the previous versions of python-webob don't work with python3, the
  python3 module doesn't need to be shipped as a compat module.  It could be
  just python3-webob and could be installed normally (using
  python3 setup.py install).  Disadvantage would be that it has a different
  build within the package.  Advantage would be that users of the python3
  package could simply do: import webob instead of having to setup the
  pythonpath using pkg_resources.
Comment 5 Ralph Bean 2012-08-06 20:35:15 EDT
New Package SCM Request
=======================
Package Name: python-webob1.2
Short Description: WSGI request and response object
Owners: ralph
Branches: f17 el6
InitialCC: rossdylan
Comment 6 Gwyn Ciesla 2012-08-06 20:56:59 EDT
Git done (by process-git-requests).
Comment 7 Ralph Bean 2012-09-06 13:50:45 EDT
This has reached stable -> https://admin.fedoraproject.org/updates/python-webob1.2

Note You need to log in before you can comment on or make changes to this bug.